package com.face.global.log;

public class LogStore {
    private static final ThreadLocal<String> LOG_MDC_ID_STORE = new InheritableThreadLocal<>();

    public static void setLogMdcId(String mdcId) {
        LOG_MDC_ID_STORE.set(mdcId);
    }
    public static String getLogMdcId() {
        return LOG_MDC_ID_STORE.get();
    }

    public static void clearLogMdcId() {
        LOG_MDC_ID_STORE.remove();
    }
}
